Search API Coveo

## DONE

- Create search_api_coveo module stub in drupal.org sandbox.

- Create Coveo Search Index and Search APi server. Export configuration, add to config/ sync folder

- Fix composer autoload issues in Coveo sdk push library.

- Integrate the [Coveo sdk](https://github.com/Coveo-labs/SDK-Push-PHP) in the module.

- Fix logger in Coveo sdk library (PR created)

- Implement search_api_coveo_requirements hook to check if Coveo sdk library exists.

- Create search_api_coveo module methods stubs for CRUD methods for indexing and search server.

- Search Server UI - UI to add/edit Coveo search server

- Refactor to rename params and variables names from application id to organization id to reflect the Coveo naming conventions.

- Refactor the Coveo Add/Edit Search Server Form to add labels or description or title

## TODO

- CRUD operation with coveo fields api Coveo user defined Fields

- Add check for api key format in SearchApiCoveoClientContext

- Review Error handling in search_api_coveo

- Fix logging in Coveo SDK: log array of values, aggregate log messages

- Create 2 index in drupa MskccDoctors and MskccDisease

- Search Server UI - Add button to test search server api connection before saving the search api fields
  - Can this be done in "debug mode" only for local.mskcc.org

- Uninstall ImageX Coveo module in mskcc
    - Remove configuration files to create a seach server api and an index API.
    - Uninstall with drush command.

