<?php

namespace Drupal\search_api_coveo;

/**
 * Fields Api Endpoint.
 *
 * @see https://docs.coveo.com/en/8/cloud-v2-api-reference/field-api
 */
class FieldsApiEndpoint {
  const PROD_FIELDS_API_URL = "https://platform.cloud.coveo.com/rest";
  const HIPAA_FIELDS_API_URL = "https://platformhipaa.cloud.coveo.com/rest";
  const HIPAA_FIELDS_ADMIN_URL = "https://platformhipaa.cloud.coveo.com/admin/";
  const QA_FIELDS_API_URL = "https://api-qa.cloud.coveo.com/push/v1";
  const DEV_FIELDS_API_URL = "https://api-dev.cloud.coveo.com/push/v1";

  /**
   * Mapping coveo field types to user friendly naming.
   *
   * @var array
   */

  public static $coveoTypes = [
    'STRING' => 'String',
    'DOUBLE' => 'Decimal',
    'LONG_64' => 'Integer 64',
    'LONG' => 'Integer 32',
    'DATE' => 'Date',
  ];

}
